
import urllib3
import json
from urllib3.util import make_headers

def fetch_json_data(url):
    # Create a pool manager instance
    http = urllib3.PoolManager()

    # Set custom headers
    headers = make_headers()
    headers.add_header('User-Agent', 'Custom User Agent')

    # Make a request to the specified URL
    response = http.request('GET', url, headers=headers)

    # Decode the response data
    data = response.data.decode('utf-8')

    # Convert the response data to JSON format
    json_data = json.loads(data)

    return json_data

# JSON Explanation
